### Method

# GLib MappedFile get_bytes

since: 2.34

#### Declaration [src]

    GBytes*
    g_mapped_file_get_bytes (
      GMappedFile* file
    )

#### Description [src]

Creates a new `GBytes` which references the data mapped from `file`. The mapped contents of the file must not be modified after creating this bytes object, because a `GBytes` should be immutable.

Available since: 2.34

#### Return value

Type: `GBytes`

A newly allocated `GBytes` referencing data from `file`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.